function [pars] = create_base_folder(pars)

% foldername for all computed solutions (reference and numerical methods)
pars.base_fld = ['solutions/a ',num2str(pars.a),' b ',num2str(pars.b),...
                 ' ep ',num2str(pars.ep),' gam ', num2str(pars.gamma_1),...
                 ' psi_0 ',pars.name_psi_start_1,',',pars.name_psi_start_2,...
                 ' V ',pars.name_V,' A_1 ',pars.name_A_1,...
                 ' t_end ',num2str(pars.t_end)];

% create floder if necessary
if exist(pars.base_fld,'dir') == 0
    mkdir(pars.base_fld)
end

end